Subject: queries for unbounded recurring components

From: [email-masked] (Steve Mansour)
Date: Mon, 18 Oct 1999 21:09:37 -0700

Suppose we have a component that recurs like this:

     ...
     UID:12345
     RRULE:FREQ=DAILY
     ...

Now a query is made to the CAP server to return all instances of the
event. That is,

     WHERE (UID EQ 12345)

What should be returned? Should the server attempt to unravel it and
clip it after some number of instances?  Should we return one event with
the RRULE and let the requester unravel it (that's *really* bad)?
Something else?

-Steve

---

From: Doug Royer <[email-masked]>
Date: Tue, 19 Oct 1999 10:14:54 -0700

We need to define if the CS is going to unwind components by
default or not. I would say that we need to be able to specify
ether way. I think there was an agreement that both needed to
be supported so that thin clients / dumb clients could work and
think smarter clients.

-Doug

Steve Mansour wrote:
> Now a query is made to the CAP server to return all instances of the event.
> That is,
> 
>      WHERE (UID EQ 12345)
> 
> What should be returned? Should the server attempt to unravel it and clip it
> after some number of instances?  Should we return one event with the RRULE and
> let the requester unravel it (that's *really* bad)? Something else?
> 
> -Steve